UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
umestore_rcv_dmon_config_msg_t_stct Struct Reference

Message containing repository configuration defined during receiver registration.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_RCV_CONFIG )
Zero or more of these will be published for a given Store, one for each receiver which registers with the Store. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC. More...

`#include <umedmonmsgs.h>`

## Data Fields
umestore_dmon_msg_hdr_t | hdr
| Standard header common to all messages.
lbm_uint64_t | sid
| Session ID used by the receiver to register. (Session IDs are optional; if the receiver did not specify a Session ID, this will be zero.)
lbm_uint32_t | dmon_topic_idx
| Identifying index number for the topic of this source, defined in an earlier message of type LBM_UMESTORE_DMON_MPG_STORE_TOPIC_CONFIG. See umestore_topic_dmon_config_msg_t_stct::dmon_topic_idx.
lbm_uint32_t | regid
| Registration ID used by the receiver to register.
lbm_uint32_t | transport_idx
| The receiver's view of the transport session index.
lbm_uint32_t | topic_idx
| The receiver's view of the topic index within the transport session.
lbm_uint32_t | domain_id
| Topic Resolution Domain ID of the receiver.
lbm_uint32_t | sin_addr
| The network address of the receiver. Format: as returned by standard function `inet_addr()` - a 32-bit unsigned integer in network byte order. Can be converted back to ASCII dotted notation using inet_ntoa(). NOTE: This field should NOT be byte-swapped.
lbm_uint16_t | store_idx
| Current Store number, starting with 0, counting each <store> element in the order configured.
lbm_uint16_t | sin_port
| "Request port" configured for the receiver.

## Detailed Description

Message containing repository configuration defined during receiver registration.
( umestore_dmon_msg_hdr_t_stct::type == LBM_UMESTORE_DMON_MPG_RCV_CONFIG )
Zero or more of these will be published for a given Store, one for each receiver which registers with the Store. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_UMESTORE_DMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- umedmonmsgs.h